petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPChebyshevSetEigenvalues

Sets estimates for the extreme eigenvalues of the preconditioned problem.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPChebyshevSetEigenvalues(KSP ksp,PetscReal emax,PetscReal emin)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| emax, emin | - the eigenvalue estimates

### Options Database

-ksp_chebyshev_eigenvalues emin,emax - Note: Call KSPChebyshevEstEigSet() or use the option -ksp_chebyshev_esteig a,b,c,d to have the KSP estimate the eigenvalues and use these estimated values automatically

### Keywords

KSP, Chebyshev, set, eigenvalues

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages